Subject: linking with vc-built dlls
From: [email-masked] (Alexander Batanov)

15 Dec 1997 18:16:56 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 8bit
To: "[email-masked]'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>

Dear all,

Are there any special considerations for linking object files built with Cygnus g++ with dlls built with Visual C++?

Dll has a C interface, so when I do nm on .lib file I see symbols which are not decorated but prefixed with a single underscore (maybe this is a problem). Quikview on .dll file shows the same symbols without leading underscores, though.

I am integrating a gcc project with FlexLM license manager.
mylibrary.lib is in the working directory and mylibrary.dll is in /winnt/system32.
When I am trying to do this 

g++ mylibrary.lib myobjectfile.o -o myproject.exe

I am getting some "undefined refrence" errors:

undefined reference to `lp_checkout'.

Thanks,
Alex Batanov
Software Engineer
Alternative System Concepts, Inc.
22 Haverhill Rd
Windham, NH
03087-0128
(603) 437-2234
(603) 437-2722 fax
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".